# specs for myip.dn42

## subdomains
- myip.dn42: reachable both with ipv4 and ipv6
- v4.myip.dn42: reachable with ipv4 only
- v6.myip.dn42: raachable with ipv6 only

## endpoints

- / and /index.[fileextension]: "fancy" human readable version with either serverside or clientside rendering
- /raw returns the ip address of the client
- /api returns json with 
  - version: string, "1.0"
  - ip: string, client ip
  - server: string, ip of the server/node connected to,
  - node_as: string, ASN of node without "AS" prefix
  - node_location: string, ISO 3166-1 alpha-2 of node
  - node_id: string, nodename the operator chooses for his node