<?php
    include 'config.php';
?><!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        
        <title>myip.dn42</title>
        
        <meta name="author" content="dn42 community">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <meta name="robots" content="index, follow">
        <meta name="description" content="This service can tell you your IP address in dn42.">
        <meta name="keywords" content="what is my ip,my ip">
                
        <link rel="icon" type="image/png" href="/favicon.png">
        <link rel="shortcut icon" type="image/png" href="/favicon.png">
        
        <link rel="stylesheet" href="/assets/css/normalize.css" integrity="sha384-M86HUGbBFILBBZ9ykMAbT3nVb0+2C7yZlF8X2CiKNpDOQjKroMJqIeGZ/Le8N2Qp">
        <link rel="stylesheet" href="/assets/css/simple.min.css" integrity="sha384-ZLDMtZ+NjwNE3nk4wWLGpX4atVTD4fql9ruaAw2xFz7CLPlFcwrifgX2HgkdX6X7">
    </head>
    <body>
        <header>
            <h1>myip.dn42</h1>
        </header>
        <main>
            <div>
                <h2>Your IP address</h2>
                Your IP address is <strong><?= $_SERVER['REMOTE_ADDR'] ?></strong>.<br>
            </div>
            <div>
                <h2>Remote Node</h2>
                You have reached the myip.dn42 service of AS<?= $node_asn ?>. The server is located in <?= $node_location_full ?> (<?= $node_location ?>). The server has the ID <code><?= $node_id ?></code>.
            </div>
        </main>
        <footer>
            <p>
        This service is provided by the dn42 community. Anycast is used to ensure the reliability of the service. Bugs or feedback about the service can be submitted via the Mailling list or the <a href="https://git.dn42.dev/lare/myip.dn42/issues">issue tracker</a>.
            </p>
        </footer>
    </body>
</html>
